import { LogLevel } from '@genesislcap/foundation-logger';
import { NotificationStructure, Banner, Dialog, Toast, Snackbar } from './types';
/**
 * NotificationBuilder to build NotificationStructure
 * @public
 * @deprecated Use showNotificationBanner/Dialog/Snackbar/Toast instead or provide a NotificationStructure object when used with an event for a notification listener.
 */
export declare class NotificationBuilder {
    private title;
    private body;
    private createdAt;
    private logLevel;
    private alert;
    private toast;
    private banner;
    private snackbar;
    private dialog;
    /**
     * Add title to notification
     * @public
     * @param title - string
     * @returns
     * @deprecated Use showNotificationBanner/Dialog/Snackbar/Toast instead or provide a NotificationStructure object when used with an event for a notification listener.
     */
    withTitle(title: string): NotificationBuilder;
    /**
     * Add body details to notification
     * @public
     * @param body - string
     * @returns
     * @deprecated Use showNotificationBanner/Dialog/Snackbar/Toast instead or provide a NotificationStructure object when used with an event for a notification listener.
     */
    withBody(body: string): NotificationBuilder;
    /**
     * Add the creation date to notification
     * @public
     * @param createdAt - Date
     * @returns
     * @deprecated Use showNotificationBanner/Dialog/Snackbar/Toast instead or provide a NotificationStructure object when used with an event for a notification listener.
     */
    withCreatedAt(createdAt: Date): NotificationBuilder;
    /**
     * Add log level to notification
     * @public
     * @returns
     * @deprecated Use showNotificationBanner/Dialog/Snackbar/Toast instead or provide a NotificationStructure object when used with an event for a notification listener.
     */
    withLogLevel(logLevel: LogLevel): NotificationBuilder;
    /**
     * Add alert to notification
     * @public
     * @param alert - boolean
     * @returns
     * @deprecated Use showNotificationBanner/Dialog/Snackbar/Toast instead or provide a NotificationStructure object when used with an event for a notification listener.
     */
    withAlert(alert: boolean): NotificationBuilder;
    /**
     * Add toast to notification
     * @public
     * @param notification - {@link Toast}
     * @returns
     * @deprecated Use showNotificationBanner/Dialog/Snackbar/Toast instead or provide a NotificationStructure object when used with an event for a notification listener.
     */
    withToast(toast: Toast): NotificationBuilder;
    /**
     * Add banner to notification
     * @public
     * @param banner - {@link Banner}
     * @returns
     * @deprecated Use showNotificationBanner/Dialog/Snackbar/Toast instead or provide a NotificationStructure object when used with an event for a notification listener.
     */
    withBanner(banner: Banner): NotificationBuilder;
    /**
     * Add snackbar to notification
     * @public
     * @param snackbar - {@link Snackbar}
     * @returns
     * @deprecated Use showNotificationBanner/Dialog/Snackbar/Toast instead or provide a NotificationStructure object when used with an event for a notification listener.
     */
    withSnackbar(snackbar: Snackbar): NotificationBuilder;
    /**
     * Add dialog to notification
     * @public
     * @param dialog - {@link Dialog}
     * @returns
     * @deprecated Use showNotificationBanner/Dialog/Snackbar/Toast instead or provide a NotificationStructure object when used with an event for a notification listener.
     */
    withDialog(dialog: Dialog): NotificationBuilder;
    /**
     * Build NotificationStructure
     * @public
     * @returns
     * @deprecated Use showNotificationBanner/Dialog/Snackbar/Toast instead or provide a NotificationStructure object when used with an event for a notification listener.
     */
    build(): NotificationStructure;
}
/**
 * Returns a new NotificationBuilder instance
 * @public
 * @deprecated Use showNotificationBanner/Dialog/Snackbar/Toast instead or provide a NotificationStructure object when used with an event for a notification listener.
 */
export declare const getNotificationBuilder: () => NotificationBuilder;
//# sourceMappingURL=notification-builder.d.ts.map