import { LogLevel } from '@genesislcap/foundation-logger';
import { NotificationStructure } from './types';
/**
 * Retrieves the notification details from an NotificationStructure object
 * @public
 * @param details - The NotificationStructure object
 * @returns The title and body concatenated as a string, or default values ('Error: Something went wrong') if not present
 */
export declare const getNotificationDetails: (details: NotificationStructure) => string;
/**
 * Retrieves the log level from an NotificationStructure object
 * @public
 * @param details - The NotificationStructure object
 * @returns The log level or the default value (LogLevel.Debug) if not present
 */
export declare const getLoglevel: (details: NotificationStructure) => LogLevel;
/**
 * Shows logger with log level from NotificationStructure object
 * @public
 * @param notificationStructure - The NotificationStructure object
 */
export declare const showLoggerLogLevel: (notificationStructure: NotificationStructure) => void;
/**
 * Get/Create the error container in the DOM
 * @public
 * @param id - The id of the container
 * @param tagName - The tag name to create prefix for the design system provider
 * @returns
 */
export declare const getNotificationContainer: (id: string, tagName: String) => HTMLElement;
/**
 * Get the banner anchor to attach the banner to
 * @public
 * @param element - The element to start searching from
 * @returns
 */
export declare const getBannerAnchor: (element: any) => HTMLElement | null;
//# sourceMappingURL=notification-util.d.ts.map