import { Toast, ToastPosition, NotificationType, NotificationDataRow, ToastButton } from '../types';
/**
 * @public
 * @deprecated Use showNotificationToast instead or provide a NotificationStructure object when used with an event for a notification listener.
 */
export declare class ToastBuilder {
    private position;
    private autoClose;
    private closeTimeout;
    private type;
    private details;
    private buttons;
    /**
     * Add position to toast
     * @public
     * @param position - {@link ToastPosition}
     * @returns
     * @deprecated Use showNotificationToast instead or provide a NotificationStructure object when used with an event for a notification listener.
     */
    withPosition(position: ToastPosition): ToastBuilder;
    /**
     * Add auto close to notification
     * @public
     * @param autoClose - boolean
     * @returns
     * @deprecated Use showNotificationToast instead or provide a NotificationStructure object when used with an event for a notification listener.
     */
    withAutoClose(autoClose: boolean): ToastBuilder;
    /**
     * Add close timeout to notification
     * @public
     * @param closeTimeout - number
     * @returns
     * @deprecated Use showNotificationToast instead or provide a NotificationStructure object when used with an event for a notification listener.
     */
    withCloseTimeout(closeTimeout: number): ToastBuilder;
    /**
     * Add type to notification, if the type is anything other than 'warning' or 'success' do not add it
     * @public
     * @param type - {@link NotificationType}
     * @returns
     * @deprecated Use showNotificationToast instead or provide a NotificationStructure object when used with an event for a notification listener.
     */
    withType(type: NotificationType): ToastBuilder;
    /**
     * Add details data to notifications
     * @public
     * @param details - NotificationDataRow
     * @returns
     * @deprecated Use showNotificationToast instead or provide a NotificationStructure object when used with an event for a notification listener.
     */
    withDetails(details: NotificationDataRow): ToastBuilder;
    /**
     * Add buttons to notifications
     * @public
     * @param buttons - ToastButton[]
     * @returns
     * @deprecated Use showNotificationToast instead or provide a NotificationStructure object when used with an event for a notification listener.
     */
    withButtons(buttons: ToastButton[]): ToastBuilder;
    /**
     * Build notification
     * @returns Toast
     * @deprecated Use showNotificationToast instead or provide a NotificationStructure object when used with an event for a notification listener.
     */
    build(): Toast;
}
/**
 * Get notification builder instance
 * @public
 * @deprecated Use showNotificationToast instead or provide a NotificationStructure object when used with an event for a notification listener.
 */
export declare const getToastBuilder: () => ToastBuilder;
//# sourceMappingURL=toast-builder-old.d.ts.map