import { logger } from '../logger';
/**
 * BannerBuilder
 * @public
 * @deprecated Use showNotificationBanner instead or provide a NotificationStructure object when used with an event for a notification listener.
 */
export class BannerBuilder {
    /**
     * Add dismissing action to Banner
     * @public
     * @param dismissingAction - {@link DismissingAction}
     * @returns
     * @deprecated Use showNotificationBanner instead or provide a NotificationStructure object when used with an event for a notification listener.
     */
    withDismissingAction(dismissingAction) {
        this.dismissingAction = dismissingAction;
        return this;
    }
    /**
     * Add confirming action to Banner
     * @public
     * @param confirmingAction - {@link ConfirmingAction}
     * @returns
     * @deprecated Use showNotificationBanner instead or provide a NotificationStructure object when used with an event for a notification listener.
     */
    withConfirmingAction(confirmingAction) {
        if (!this.confirmingActions) {
            this.confirmingActions = [];
        }
        this.confirmingActions.push(confirmingAction);
        return this;
    }
    /**
     * Build Banner
     * @public
     * @returns Banner
     * @deprecated Use showNotificationBanner instead or provide a NotificationStructure object when used with an event for a notification listener.
     */
    build() {
        let banner = {};
        if (this.dismissingAction) {
            banner = Object.assign({ dismissingAction: this.dismissingAction }, banner);
        }
        if (this.confirmingActions) {
            banner = Object.assign({ confirmingActions: this.confirmingActions }, banner);
        }
        logger.deprecated('getBannerBuilder', 'Use `showNotificationBanner` from `@genesislcap/foundation-notifications` instead or provide a NotificationStructure object when used with an event for a notification listener.');
        return banner;
    }
}
/**
 * Get banner builder instance
 * @public
 * @deprecated Use showNotificationBanner instead or provide a NotificationStructure object when used with an event for a notification listener.
 */
export const getBannerBuilder = () => new BannerBuilder();
