import { LogLevel } from '@genesislcap/foundation-logger';
import { showBanner } from './banner-launcher';
/**
 * Shows the notification banner
 * @public
 */
export const showNotificationBanner = (configuration, tagName, notificationBoundary) => {
    if (!configuration.body) {
        throw new Error(`Missing required param 'body'`);
    }
    let notificationStructure = {
        body: configuration.body,
    };
    let config = {};
    if (configuration.logLevel in LogLevel) {
        notificationStructure = Object.assign({ logLevel: configuration.logLevel }, notificationStructure);
    }
    if (configuration.banner) {
        config = Object.assign({ banner: configuration.banner }, config);
        notificationStructure = Object.assign({ config }, notificationStructure);
    }
    showBanner(notificationStructure, tagName, notificationBoundary);
};
