import { logger } from '../logger';
/**
 * DialogBuilder class
 * @public
 * @deprecated Use showNotificationDialog instead or provide a NotificationStructure object when used with an event for a notification listener.
 */
export class DialogBuilder {
    /**
     * Add dismissing action to Dialog
     * @public
     * @param dismissingAction - {@link DismissingAction}
     * @returns
     * @deprecated Use showNotificationDialog instead or provide a NotificationStructure object when used with an event for a notification listener.
     */
    withDismissingAction(dismissingAction) {
        this.dismissingAction = dismissingAction;
        return this;
    }
    /**
     * Add confirming action to Dialog
     * @public
     * @param confirmingAction - {@link ConfirmingAction}
     * @returns
     * @deprecated Use showNotificationDialog instead or provide a NotificationStructure object when used with an event for a notification listener.
     */
    withConfirmingAction(confirmingAction) {
        if (!this.confirmingActions) {
            this.confirmingActions = [];
        }
        this.confirmingActions.push(confirmingAction);
        return this;
    }
    /**
     * Build Dialog
     * @public
     * @returns Dialog
     * @deprecated Use showNotificationDialog instead or provide a NotificationStructure object when used with an event for a notification listener.
     */
    build() {
        let dialog = {};
        if (this.dismissingAction) {
            dialog = Object.assign({ dismissingAction: this.dismissingAction }, dialog);
        }
        if (this.confirmingActions) {
            dialog = Object.assign({ confirmingActions: this.confirmingActions }, dialog);
        }
        logger.deprecated('getDialogBuilder', 'Use `showNotificationDialog` from `@genesislcap/foundation-notifications` instead or provide a NotificationStructure object when used with an event for a notification listener.');
        return dialog;
    }
}
/**
 * Returns an instance of DialogBuilder
 * @public
 * @deprecated Use showNotificationDialog instead or provide a NotificationStructure object when used with an event for a notification listener.
 */
export const getDialogBuilder = () => new DialogBuilder();
