import { logger } from '../logger';
/**
 * SnackbarBuilder to build Snackbar
 * @public
 * @deprecated Use showNotificationSnackbar instead or provide a NotificationStructure object when used with an event for a notification listener.
 */
export class SnackbarBuilder {
    /**
     * @public
     * @param type - {@link SnackbarType}
     * @returns
     * @deprecated Use showNotificationSnackbar instead or provide a NotificationStructure object when used with an event for a notification listener.
     */
    withType(type) {
        this.type = type;
        return this;
    }
    /**
     * Add confirming action to snackbar
     * @public
     * @param confirmingAction - {@link ConfirmingAction}
     * @returns
     * @deprecated Use showNotificationSnackbar instead or provide a NotificationStructure object when used with an event for a notification listener.
     */
    withConfirmingAction(confirmingAction) {
        if (!this.confirmingActions) {
            this.confirmingActions = [];
        }
        this.confirmingActions.push(confirmingAction);
        return this;
    }
    /**
     * Build snackbar
     * @public
     * @returns Snackbar
     * @deprecated Use showNotificationSnackbar instead or provide a NotificationStructure object when used with an event for a notification listener.
     */
    build() {
        let snackbar = {};
        if (this.confirmingActions) {
            snackbar = Object.assign({ confirmingActions: this.confirmingActions }, snackbar);
        }
        if (this.type !== undefined) {
            snackbar = Object.assign({ type: this.type }, snackbar);
        }
        logger.deprecated('getSnackbarBuilder', 'Use `showNotificationSnackbar` from `@genesislcap/foundation-notifications` instead or provide a NotificationStructure object when used with an event for a notification listener.');
        return snackbar;
    }
}
/**
 * Get snackbar builder instance
 * @public
 * @deprecated Use showNotificationSnackbar instead or provide a NotificationStructure object when used with an event for a notification listener.
 */
export const getSnackbarBuilder = () => new SnackbarBuilder();
