import { LogLevel } from '@genesislcap/foundation-logger';
import { showSnackbar } from './snackbar-launcher';
/**
 * Shows the notification snackbar
 * @public
 */
export const showNotificationSnackbar = (configuration, tagName) => {
    if (!configuration.body) {
        throw new Error(`Missing required param 'body'`);
    }
    let notificationStructure = {
        body: configuration.body,
    };
    let config = {};
    if (configuration.logLevel in LogLevel) {
        notificationStructure = Object.assign({ logLevel: configuration.logLevel }, notificationStructure);
    }
    if (configuration.snackbar) {
        config = Object.assign({ snackbar: configuration.snackbar }, config);
        notificationStructure = Object.assign({ config }, notificationStructure);
    }
    showSnackbar(notificationStructure, tagName);
};
