import { LogLevel } from '@genesislcap/foundation-logger';
import { showToast } from './toast-launcher';
/**
 * Shows the notification toast
 * @public
 */
export const showNotificationToast = (configuration, tagName, notificationContainer) => {
    if (!configuration.title) {
        throw new Error('Title is required');
    }
    if (!configuration.body) {
        throw new Error(`Missing required param 'body'`);
    }
    let notificationStructure = {
        title: configuration.title,
        body: configuration.body,
    };
    let config = {};
    if (configuration.createdAt) {
        notificationStructure = Object.assign({ createdAt: configuration.createdAt }, notificationStructure);
    }
    if (configuration.logLevel in LogLevel) {
        notificationStructure = Object.assign({ logLevel: configuration.logLevel }, notificationStructure);
    }
    if (configuration.toast) {
        config = Object.assign({ toast: configuration.toast }, config);
        notificationStructure = Object.assign({ config }, notificationStructure);
    }
    showToast(notificationStructure, tagName, notificationContainer);
};
